Jump to content
linuxserver.io

[Plugin] Linuxserver.io - Unraid Nvidia

883 posts in this topic Last Reply

Recommended Posts

@Xaero

Well I have this P2000 that is just sitting around now.  I am probably going to do a custom build.  Ill check out that section of the Unraid threads to see what fits my budget the best. Now comes the big question, Ryzen or Xeon.

 

Essentially all i do is back up my data, dl some movies and run plex/emby.  Just dont want any hiccups.  

Share this post


Link to post
39 minutes ago, rsampayo said:

Can I update my P4000s drivers on unraid?

No. Depends on Slackbuilds doing a release of an nvidia driver.

 

Also this MAY be updated when unraid releases new versions only.

Share this post


Link to post
3 hours ago, Dazog said:

No. Depends on Slackbuilds doing a release of an nvidia driver.

 

Also this MAY be updated when unraid releases new versions only.

Slackbuilds *has* released the new driver.

No buildscripts available publicly though, so I can't just set up a buildbot with the copious number of CPU cores available to me to churn out builds with new nvidia driver releases sadly.

Share this post


Link to post

Just wanna pop into say how much I loved this plugin. With it I was able to retire my old ridiculously oversized and resource intensive Plex/Emby VM.

I use my old GTX 760 for them and hopefully I'll be able to get a P2000 sometime soon. 

Share this post


Link to post

RC8 uploaded, hasn't been tested by myself as I normally do as I'm in the middle of a parity check.  Uploaded it in case someone else wants to test it first.

 

@AnnabellaRenee87 Glad you like it!

Share this post


Link to post
RC8 uploaded, hasn't been tested by myself as I normally do as I'm in the middle of a parity check.  Uploaded it in case someone else wants to test it first.
 
[mention=73615]AnnabellaRenee87[/mention] Glad you like it!
I would test it now but it's the first of the month and parity is running, I'll try it this evening after I try compiling the latest HP RMRR patch.

Thanks
Sent from my SM-G975U using Tapatalk

Share this post


Link to post

@CHBMB Build RC8 installed, working fine.  I see that you also upgrade the Nvidia Driver to new version (not latest, but probably latest for slackware slackbuilds).   Booted Fine.  Tested HW Transcode in my Plex Inc. DOCKER with success. 

 

Thanks a lot !

Share this post


Link to post

I'm wondering if there is a way to have a new "icon" for temperature of the GPU at the bottom of the Unraid Web UI.  Maybe using a combination of nvidia-smi on the host + a modified version of the System Temps Plugins ??  Anyone looked into this?

Share this post


Link to post
RC8 uploaded, hasn't been tested by myself as I normally do as I'm in the middle of a parity check.  Uploaded it in case someone else wants to test it first.
 
[mention=73615]AnnabellaRenee87[/mention] Glad you like it!

Working on my system seamlessly!
Thank you for the speedy upload!!! :)


Sent from my iPhone using Tapatalk

Share this post


Link to post

Not supporting none of my cad kards :( quaquadro 4000 ; Tesla c2075 ... 

Works with rog 1070 strix fine but would like to have that one pass trough for gaming...   Sux!

Share this post


Link to post
Just now, cmdthor said:

Not supporting none of my cad kards :( quaquadro 4000 ; Tesla c2075 ... 

Works with rog 1070 strix fine but would like to have that one pass trough for gaming...   Sux!

 

Only recent GPUs are supported by the current driver.  You should replace the older one ;) 

Share this post


Link to post
24 minutes ago, cmdthor said:

Not supporting none of my cad kards :( quaquadro 4000 ; Tesla c2075 ... 

Works with rog 1070 strix fine but would like to have that one pass trough for gaming...   Sux!

they don't have NVENC anyway so it wouldn't work even if the driver did support them.

Share this post


Link to post

I'm getting this error.  It worked for a while, but then failed out to an error during transcoding.  I updated the driver and restarted the OS, now this error, consistently. Quadro p400. UnRAID 6.6.7.

1259867951_ScreenShot2019-05-01at3_20_36PM.png.d290a1b794e2efd6884ebd0e2d758df8.png

Share this post


Link to post
Posted (edited)

You guys rock as always!!! I have no issues with a 1050 and Emby

Edited by huntastikus

Share this post


Link to post
I'm getting this error.  It worked for a while, but then failed out to an error during transcoding.  I updated the driver and restarted the OS, now this error, consistently. Quadro p400. UnRAID 6.6.7.
1259867951_ScreenShot2019-05-01at3_20_36PM.png.d290a1b794e2efd6884ebd0e2d758df8.png
Any chance you could try v6.7.0rc8 and see if it's the same there?

Sent from my Mi A1 using Tapatalk

Share this post


Link to post
Posted (edited)
8 hours ago, CHBMB said:

Any chance you could try v6.7.0rc8 and see if it's the same there?

Sent from my Mi A1 using Tapatalk
 

Just to confirm, are you advising 6.7.0rc8 the nvidia driver, or updating the whole OS AND nvidia driver to 6.7.0rc8?

2 minutes ago, CHBMB said:

They're linked

Sent from my Mi A1 using Tapatalk

Ok, will update OS today and test.

Edited by rmd85871516

Share this post


Link to post

They're linked

Sent from my Mi A1 using Tapatalk

Share this post


Link to post
4 minutes ago, rmd85871516 said:

Just to confirm, are you advising 6.7.0rc8 the nvidia driver, or updating the whole OS AND nvidia driver to 6.7.0rc8?

Same thing.  Installing Nvidia version from this plugin installs the whole OS with Nvidia drivers baked in.

 

Similarly, upgrading via the Unraid system reverts you back to a stock version of Unraid without the drivers.

 

Long story short - the plugin doesn't install extra drivers, it installs Unraid with extra drivers.

Share this post


Link to post
Just now, Cessquill said:

Same thing.  Installing Nvidia version from this plugin installs the whole OS with Nvidia drivers baked in.

 

Similarly, upgrading via the Unraid system reverts you back to a stock version of Unraid without the drivers.

 

Long story short - the plugin doesn't install extra drivers, it installs Unraid with extra drivers.

This is great information.  thank you!

Share this post


Link to post
8 hours ago, CHBMB said:

Any chance you could try v6.7.0rc8 and see if it's the same there?

Sent from my Mi A1 using Tapatalk
 

Updated.  Card appeared immediately after reboot.  Will test for stability during transcodes and update.

 

Thank you!

Share this post


Link to post
On 4/23/2019 at 11:06 PM, Xaero said:

Updated the nvdec wrapper script on gist:
https://gist.github.com/Xaero252/9f81593e4a5e6825c045686d685e2428

Now pulls a much more robust wrapper script from https://github.com/revr3nd/plex-nvdec/
Also supports a more robust codec filter using that script.
Will only patch if the transcoder isn't currently running.
Can still be run on a schedule via user scripts.

Hi thanks for this! Just a clarification. I'm using  a previous version of your script that specifically calls out to NOT transcode mpeg4.  In the new script, for a similar effect, would i remove all but mpeg4 or leave all but mpeg4. 

 

CODECS=("mpeg4" ) or  

CODECS=("h264" "hevc" "mpeg2video" "vc1" "vp8" "vp9")

 

Thanks!

Share this post


Link to post

hey all i just updated from rc5 to rc8 and now none of my docker containers can get in contact with the outside world was going to roll back to see if rc7 worked but the nvidia plugin can't connect to the net, i can access my box from my home network.

Share this post


Link to post

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.